<?php

  /**
   * yes_no_default helper implementation
   *
   * @package activeCollab.modules.system
   * @subpackage helpers
   */

  /**
   * Render Yes / No / Default value helper
   *
   * @param array $params
   * @param Smarty $smarty
   * @return string
   */
  function smarty_function_yes_no_default($params, &$smarty) {
    $name = array_required_var($params, 'name');
    $value = array_var($params, 'value', null, true);
    $default_value = array_var($params, 'default', false, true) ? lang('Yes') : lang('No');
    
    return HTML::optionalSelectFromPossibilities($name, array(
       1 => lang('Yes'), 
       0 => lang('No'), 
    ), $value, $params, lang('-- System Default (:default) --', array('default' => $default_value)), '');
  } // smarty_function_yes_no_default